<?php

class MEET_CTRL_Example extends MEET_CLASS_ActionController
{

    public function index()
    {
        $language = OW::getLanguage();
        $router = OW::getRouter();

        OW::getDocument()->setTitle($language->text("meet", "index_page_title"));
        OW::getDocument()->setDescription($language->text("meet", "index_page_description"));
        OW::getDocument()->setHeading($language->text("meet", "index_page_heading"));
        
        $meetMenu = array();

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_file_structure"),
            "url" => $router->urlFor("MEET_CTRL_Example", "fileStructure")
        );

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_devtools"),
            "url" => $router->urlFor("MEET_CTRL_Example", "devtools")
        );

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_pluginxml"),
            "url" => $router->urlFor("MEET_CTRL_Example", "pluginxml")
        );

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_routing"),
            "url" => $router->urlForRoute("meet-routing")
        );

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_localization"),
            "url" => $router->urlForRoute("meet-localization")
        );

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_forms"),
            "url" => $router->urlForRoute("meet-forms")
        );
        
        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_database"),
            "url" => $router->urlForRoute("meet-database")
        );
        
        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_file_storage"),
            "url" => $router->urlForRoute("meet-file-storage")
        );
        
        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_mail_sending"),
            "url" => $router->urlForRoute("meet-mail-sending")
        );
        
        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_notifications"),
            "url" => $router->urlForRoute("meet-notifications")
        );
        
        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_newsfeed"),
            "url" => $router->urlForRoute("meet-newsfeed")
        );

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_floatbox"),
            "url" => $router->urlForRoute("meet-floatbox")
        );

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_widgets"),
            "url" => $router->urlForRoute("meet-widgets")
        );

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_access_level"),
            "url" => $router->urlForRoute("meet-access_level")
        );

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_profile_questions"),
            "url" => $router->urlForRoute("meet-profile_questions")
        );

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_cron"),
            "url" => $router->urlForRoute("meet-cron")
        );

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_ping"),
            "url" => $router->urlForRoute("meet-ping")
        );

        $meetMenu[] = array(
            "label" => $language->text("meet", "menu_item_install"),
            "url" =>  $router->urlFor("MEET_CTRL_Example", "install")
        );

        $this->assign("menu", $meetMenu);
    }

    public function devtools()
    {
        $language = OW::getLanguage();

        OW::getDocument()->setTitle($language->text("meet", "devtools_page_title"));
        OW::getDocument()->setHeading($language->text("meet", "devtools_page_heading"));

        $this->assign('devtoolsUrl', OW_URL_HOME.'admin/dev-tools/languages');
    }

    public function pluginxml()
    {
        $language = OW::getLanguage();

        OW::getDocument()->setTitle($language->text("meet", "pluginxml_page_title"));
        OW::getDocument()->setHeading($language->text("meet", "pluginxml_page_heading"));
    }

    public function fileStructure()
    {
        $language = OW::getLanguage();

        OW::getDocument()->setTitle($language->text("meet", "file_structure_page_title"));
        OW::getDocument()->setHeading($language->text("meet", "file_structure_page_heading"));

        $this->assign('pluginxmlUrl', OW::getRouter()->urlFor("MEET_CTRL_Example", "pluginxml"));
        $this->assign('cronUrl', OW::getRouter()->urlFor("MEET_CTRL_Example", "cron"));
    }

    public function cron()
    {
        $language = OW::getLanguage();

        OW::getDocument()->setTitle($language->text("meet", "cron_page_title"));
        OW::getDocument()->setHeading($language->text("meet", "cron_page_heading"));

    }

    public function install()
    {
        $language = OW::getLanguage();

        OW::getDocument()->setTitle($language->text("meet", "install_page_title"));
        OW::getDocument()->setHeading($language->text("meet", "install_page_heading"));

    }

}