<?php

/**
 * Defined routes for plugin meet
 */
OW::getRouter()->addRoute(new OW_Route('meet-index', 'meet', 'MEET_CTRL_Example', 'index'));

OW::getRouter()->addRoute(new OW_Route('meet-localization', 'meet/localization', 'MEET_CTRL_Localization', 'index'));
OW::getRouter()->addRoute(new OW_Route('meet-localization-delete-key', 'meet/localization/delete/:key', 'MEET_CTRL_Localization', 'deleteKey'));

OW::getRouter()->addRoute(new OW_Route('meet-routing', 'meet/routing', 'MEET_CTRL_Routing', 'index'));

OW::getRouter()->addRoute(new OW_Route('meet-forms', 'meet/forms', 'MEET_CTRL_Forms', 'index'));

OW::getRouter()->addRoute(new OW_Route('meet-database', 'meet/database', 'MEET_CTRL_Database', 'index'));
OW::getRouter()->addRoute(new OW_Route('meet-database-delete-item', 'meet/database/delete/:id', 'MEET_CTRL_Database', 'deleteItem'));

OW::getRouter()->addRoute(new OW_Route('meet-file-storage', 'meet/file-storage/', 'MEET_CTRL_FileStorage', 'index'));
OW::getRouter()->addRoute(new OW_Route('meet-file-storage-preview', 'meet/file-storage/preview', 'MEET_CTRL_FileStorage', 'preview'));

OW::getRouter()->addRoute(new OW_Route('meet-mail-sending', 'meet/mail-sending', 'MEET_CTRL_MailSending', 'index'));

OW::getRouter()->addRoute(new OW_Route('meet-notifications', 'meet/notifications', 'MEET_CTRL_Notifications', 'index'));

OW::getRouter()->addRoute(new OW_Route('meet-newsfeed', 'meet/newsfeed', 'MEET_CTRL_Newsfeed', 'index'));

OW::getRouter()->addRoute(new OW_Route('meet-floatbox', 'meet/floatbox', 'MEET_CTRL_Floatbox', 'index'));

OW::getRouter()->addRoute(new OW_Route('meet-widgets', 'meet/widgets', 'MEET_CTRL_Widgets', 'index'));
OW::getRouter()->addRoute(new OW_Route('meet-widgets-delete', 'meet/widgets/delete/:id', 'MEET_CTRL_Widgets', 'delete'));

OW::getRouter()->addRoute(new OW_Route('meet-profile_questions', 'meet/profile_questions', 'MEET_CTRL_ProfileQuestions', 'index'));

OW::getRouter()->addRoute(new OW_Route('meet-access_level', 'meet/access_level', 'MEET_CTRL_AccessLevel', 'index'));

OW::getRouter()->addRoute(new OW_Route('meet-cron', 'meet/cron', 'MEET_CTRL_Example', 'cron'));

OW::getRouter()->addRoute(new OW_Route('meet-ping', 'meet/ping', 'MEET_CTRL_Ping', 'index'));



/**
 * Adding example section to notifications settings page
 *
 * @param BASE_CLASS_EventCollector $e
 */
function meet_on_notify_actions( BASE_CLASS_EventCollector $e )
{
    $sectionLabel = OW::getLanguage()->text('meet', 'notification_section_label');

    $e->add(array(
        'section' => 'meet',
        'action' => 'example',
        'description' => OW::getLanguage()->text('meet', 'email_notifications_setting_example'),
        'selected' => true,
        'sectionLabel' => $sectionLabel,
        'sectionIcon' => 'ow_ic_clock'
    ));

}
OW::getEventManager()->bind('notifications.collect_actions', 'meet_on_notify_actions');

/**
 * Binding on event that collects entities to be sent by email.
 * Uncomment the function below to start receive notifications from meet plugin.
 *
 * This event depends on profiles' email notification settings
 * @param BASE_CLASS_EventCollector $event
 */
//function meet_console_send_list( BASE_CLASS_EventCollector $event )
//{
//    $params = $event->getParams();
//    $userIdList = $params['userIdList'];
//
//    foreach ( $userIdList as $id => $userId )
//    {
//        $avatars = BOL_AvatarService::getInstance()->getDataForUserAvatars(array( $userId ) );
//        $avatar = $avatars[$userId];
//
//        $event->add(array(
//            'pluginKey' => 'meet',
//            'entityType' => 'meet-example',
//            'entityId' => $userId,
//            'userId' => $userId,
//            'action' => 'example',
//            'time' => time(),
//
//            'data' => array(
//                'avatar' => $avatar,
//                'string' => OW::getLanguage()->text('meet', 'notify_example', array(
//                    'content' => 'qwerty')
//                )
//            )
//        ));
//    }
//}
//OW::getEventManager()->bind('notifications.send_list', 'meet_console_send_list');

/**
 * Binding on event that receives params from client and responds to it
 *
 * @param OW_Event $event
 */
function meet_ping( OW_Event $event )
{
    $eventParams = $event->getParams();
    $params = $eventParams['params'];

    if ($eventParams['command'] != 'meet_ping')
    {
        return;
    }

    $response = array();

    $counterOldValue = (int)$params['counterOldValue'];

    $response['counterNewValue'] = ++$counterOldValue;

    $event->setData($response);
}
OW::getEventManager()->bind('base.ping', 'meet_ping');

